Author Topic: Integrate with board manager Arduino 1.6.2  (Read 2125 times)

edorphy

  • RFduino Full Member
  • ***
  • Posts: 86
  • Karma: +0/-0
    • View Profile
Integrate with board manager Arduino 1.6.2
« on: March 30, 2015, 06:42:44 PM »
Are there plans to allow forward compatibility with Arduino 1.6.2? I could not find the resource path for the ARM to place the RFduino folder like the previous Arduino IDE versions. (DUE and other 32-bit MCU)

tolson

  • Global Moderator
  • *****
  • Posts: 866
  • Karma: +20/-0
    • View Profile
    • Thomas Olson Consulting
Re: Integrate with board manager Arduino 1.6.2
« Reply #1 on: March 30, 2015, 07:31:46 PM »
Are there plans to allow forward compatibility with Arduino 1.6.2? I could not find the resource path for the ARM to place the RFduino folder like the previous Arduino IDE versions. (DUE and other 32-bit MCU)

Hi Edorphy.

I don't know the answer to your question. Will have to wait for mkay to jump in. But why the rush. Don't need 1.6.2 for anything RFduino related. If you need it for some other board you can have has many different version for Arduino installed as you like. You just use the one you need for the particular project you might be working on.

{EDIT] All though this may no longer be true here forward. I used their (Arduino) board manager to install the DUE. All the ARM GCC compiler and support stuff now gets dumped into the .arduino15 folder in my home directory instead of in the folder containing the Arduino IDE itself. Ugh! Now my home folder has a boat load of compiler programs in it. I like to keep my IDES and the like out of my home folder.
Makes backing up simpler since I don't believe in backing up programs since they can be re-installed from scratch. Or at least the backups are done in a system folder instead of my home folder. Diatribe OFF. I guess I can offload the .arduino15 directory out of my home folder and use a symlink. Where does one look to find out how they actually describe their file layout scheme?

« Last Edit: March 30, 2015, 08:49:05 PM by tolson »

edorphy

  • RFduino Full Member
  • ***
  • Posts: 86
  • Karma: +0/-0
    • View Profile
Re: Integrate with board manager Arduino 1.6.2
« Reply #2 on: March 30, 2015, 09:52:30 PM »
Just a curiosity thing. I haven't installed Arduino + RFduino on my new mac machine until just tonight. To my surprise, pulling 1.5.5 R2, I get a error stating that the gcc-arm-non-eabi-4.8.3-2014q1... could not be found. My other machine has this same arduino build but a different version of rfduino. The whole installer was slick, it would be a great process for RFduino (instead of having to open up the .app file and put it in just the right place)

I've noticed changes don't happen very fast with RFduino unfortunately. Have a technical question out to the Simblee team but no response yet. I'm sure they're swamped.

tolson

  • Global Moderator
  • *****
  • Posts: 866
  • Karma: +20/-0
    • View Profile
    • Thomas Olson Consulting
Re: Integrate with board manager Arduino 1.6.2
« Reply #3 on: March 30, 2015, 10:30:27 PM »
You want Arduino 1.6.1 and RFduino 2.2.4.

1.6.2 should probably really be 1.7.0 beta. There is some discussion about the issue.

The problem effects just about everybody... even third party AVR products... except Arduinos AVR line.

They might have a fix today or so in nightly builds, but I'm not interested in incremental test builds.
« Last Edit: March 30, 2015, 10:33:14 PM by tolson »

edorphy

  • RFduino Full Member
  • ***
  • Posts: 86
  • Karma: +0/-0
    • View Profile
Re: Integrate with board manager Arduino 1.6.2
« Reply #4 on: March 30, 2015, 10:38:41 PM »
That did the trick! Thanks.

 

anything